Subject: 2.6.18 forcedeth GSO panic on send

From: Denis Vlasenko <[email-masked]>
Date: Fri, 27 Oct 2006 01:17:57 +0200

Hello,

I am using an AMD64 box with 32bit userspace / 64bit kernel.

Kernels 2.6.18 and 2.6.18.1 semi-randomly hang when I upload stuff
over the net - for example, "svn commit", scp are affected.
2.6.17.11 does not seem to be affected.

Unfortunately even 60-line screen is not big enough
to catch whole trace. There are at least two traces,
and first scrolls off. I have a photo at
http://busybox.net/~vda/gso_panic/forcedeth_gso_panic.jpg

Something bad is happening here, when kernel tries
to send some data:

...
error_exit
skb_over_panic
skb_over_panic
skb_segment
tcp_tso_segment
inet_gso_segment
skb_gso_segment
dev_hard_start_xmit
dev_queue_xmit
...

Looks like it is related to hardware accel in forcedeth.
I will try disabling all hw accel.

Please find in attached tarball:

.config
dmesg
ethtool-k
lspci
lspci-v
--
vda